Package ru.bitel.bgbilling.modules.wm.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.wm.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ERR_ALREADY_PAYED`
  `static final int`
  `ERR_OFF`
  `static final int`
  `ERR_TEST_MODE`
  `static final int`
  `ERR_UNIQUE_INVS`
  `static final int`
  `ERR_UNIQUE_TRANS`
  `static final int`
  `ERR_WRONG_CONTRACT_ID`
  `static final int`
  `ERR_WRONG_HASH`
  `static final int`
  `ERR_WRONG_PAYMENT_ID`
  `static final int`
  `ERR_WRONG_PAYMENT_TYPE`
  `static final int`
  `ERR_WRONG_RECIEVER_PURSE`
  `static final int`
  `ERR_WRONG_REMOTE_HOST`
  `static final int`
  `ERR_WRONG_REQUEST`
  `static final int`
  `ERR_WRONG_SUMM`

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `checkAndUpdateWMPayment(int contractId, WMRequest request, int sysMode)`
  Проверяет запрос и возвращает ошибки.
  `int`
  `getFirstYear(int contractId)`
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `protected Transaction`
  `getFromRS(ResultSet rs, boolean contractTitle)`
  `static String`
  `getPaymentComment(Connection con, String pattern, Transaction transaction)`
  `Transaction`
  `getWMPayment(int cid, int id)`
  `List<Transaction>`
  `getWMPaymentList(Calendar from, Calendar until, int status, String contractTitle, String wmId, String wmPayId)`
  `String`
  `logResult(int result)`
  `void`
  `searchTransaction(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status)`
  `protected void`
  `updateImpl(Transaction transaction)`

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERR_WRONG_REQUEST

    public static final int ERR_WRONG_REQUEST
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_REMOTE_HOST

    public static final int ERR_WRONG_REMOTE_HOST
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_HASH

    public static final int ERR_WRONG_HASH
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_RECIEVER_PURSE

    public static final int ERR_WRONG_RECIEVER_PURSE
    See Also:
      - Constant Field Values

  - ### ERR_TEST_MODE

    public static final int ERR_TEST_MODE
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_PAYMENT_ID

    public static final int ERR_WRONG_PAYMENT_ID
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_CONTRACT_ID

    public static final int ERR_WRONG_CONTRACT_ID
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_SUMM

    public static final int ERR_WRONG_SUMM
    See Also:
      - Constant Field Values

  - ### ERR_ALREADY_PAYED

    public static final int ERR_ALREADY_PAYED
    See Also:
      - Constant Field Values

  - ### ERR_UNIQUE_INVS

    public static final int ERR_UNIQUE_INVS
    See Also:
      - Constant Field Values

  - ### ERR_UNIQUE_TRANS

    public static final int ERR_UNIQUE_TRANS
    See Also:
      - Constant Field Values

  - ### ERR_OFF

    public static final int ERR_OFF
    See Also:
      - Constant Field Values

  - ### ERR_WRONG_PAYMENT_TYPE

    public static final int ERR_WRONG_PAYMENT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### getWMPaymentList

    public List<Transaction> getWMPaymentList(Calendar from, Calendar until, int status, String contractTitle, String wmId, String wmPayId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchTransaction

    public void searchTransaction(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status) throws SQLException
    Throws:
      `SQLException`

  - ### getWMPayment

    public Transaction getWMPayment(int cid, int id) throws SQLException
    Throws:
      `SQLException`

  - ### checkAndUpdateWMPayment

    public int checkAndUpdateWMPayment(int contractId, WMRequest request, int sysMode) throws Exception
    Проверяет запрос и возвращает ошибки. Если запрос не предварительный (оповещает об оплате) то обновляет базу. В режиме отключен принимает оповещения об оплате, но отсылает все предварительные запросы с ошибкой ERR_OFF
    Parameters:
      `request` -
    Returns:
    Throws:
      `Exception`

  - ### getFirstYear

    public int getFirstYear(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### logResult

    public String logResult(int result)

  - ### getPaymentComment

    public static String getPaymentComment(Connection con, String pattern, Transaction transaction)

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs, boolean contractTitle) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`